/*
HKEY_CURRENT_USER\Control Panel\Desktop
Wallpaper
*/

#include <windows.h>
#include <stdio.h>
#include <string.h>
#include <conio.h>

unsigned char data[4];
unsigned char* convert (int source)
{
   data[0]= source%256;
   data[1]= source/256;
   data[2]= data[3]= 0;
   return data;
}

int main (int NbArg, char** arg)
{
	if (NbArg>1 && !strcmp (arg[1],"/?") || (NbArg<2))
   	{
       puts ("MODECRAN version 1.1  (c) F. LE LEZ, 1998");
       puts ("MODECRAN Largeur Hauteur bits_par_pixel frequence_de_rafraichissement");
       return 2;
      }

   int Frequence= 60, Largeur= 640, Hauteur= 480, Bits= 8;

      if (NbArg>1 && atoi (arg[1])) Largeur= atoi (arg[1]);
      if (NbArg>2 && atoi (arg[2])) Hauteur= atoi (arg[2]);
      if (NbArg>3 && atoi (arg[3])) Bits= atoi (arg[3]);
      if (NbArg>4 && atoi (arg[4])) Frequence= atoi (arg[4]);

   DEVMODE dvMode;

   dvMode.dmBitsPerPel= Bits;
   dvMode.dmPelsWidth= Largeur;
   dvMode.dmPelsHeight= Hauteur;
   dvMode.dmDisplayFrequency= Frequence;

   dvMode.dmFields= DM_BITSPERPEL| DM_PELSWIDTH| DM_PELSHEIGHT| DM_DISPLAYFREQUENCY;
   dvMode.dmSize= sizeof (dvMode);

   ChangeDisplaySettings (&dvMode, 0);
   return 0;
}

